#!/bin/bash
set -eu

# SHADERS

shader_compiler="glslang"
shader_flags="--target-env vulkan1.2 -gVS"
shader_out="-o assets/"

mkdir -p build
mkdir -p assets

for shader in src/shaders/*.glsl; do
	base_name=$(basename -- "$shader" .glsl)
	$shader_compiler $shader_flags $shader_out${base_name}.spv $shader 
done

/bin/bash src/dlib/build.sh build
